OpenCard.property = new_value
OpenCard.property.override = true


OpenCard.services = \
	com.ibm.opencard.factory.MFCCardServiceFactory \
	opencard.opt.util.PassThruCardServiceFactory \
	com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory
OpenCard.terminals = \
	com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|My_GCR_430|GemPC430|SHARED \
	com.gemplus.opencard.terminal.GemplusCardTerminalFactory|My_GCR_410|GCR410|COM1 \
	com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory \

OpenCard.trace = \
	opencard:8 \
	opencard.opt.util:8 \
	com.ibm.opencard:8 \
	com.ibm.opencard.terminal:8 \
	com.ibm.opencard.terminal.pcsc10:8 \
	com.ibm.opencard.factory:8 \
	com.gemplus.opencard.terminal:8


### *** # Configuring the CardTerminalRegistry
### *** # The parameters after the class name are:
### *** # name, type, and address of the card terminal
### *** 
### *** # OpenCard.services  = com.ibm.opencard.factory.MFCCardServiceFactory
### *** # OpenCard.terminals = com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory
### *** 
### *** ## Added by e-mail
### *** ### OpenCard.services = opencard.opt.util.PassThruCardServiceFactory
### *** ### OpenCard.terminals = com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_430|GemPC430|SHARED
### *** ### OpenCard.trace = opencard:5 com.ibm:6 tests.system:6
### *** 
### *** ###############################################################################
### *** # Copyright � 1997 - 1999 IBM Corporation.
### *** # 
### *** # Redistribution and use in source (source code) and binary (object code)
### *** # forms, with or without modification, are permitted provided that the
### *** # following conditions are met:
### *** # 1. Redistributed source code must retain the above copyright notice, this
### *** # list of conditions and the disclaimer below.
### *** # 2. Redistributed object code must reproduce the above copyright notice,
### *** # this list of conditions and the disclaimer below in the documentation
### *** # and/or other materials provided with the distribution.
### *** # 3. The name of IBM may not be used to endorse or promote products derived
### *** # from this software or in any other form without specific prior written
### *** # permission from IBM.
### *** # 4. Redistribution of any modified code must be labeled "Code derived from
### *** # the original OpenCard Framework".
### *** # 
### *** # THIS SOFTWARE IS PROVIDED BY IBM "AS IS" FREE OF CHARGE. IBM SHALL NOT BE
### *** # LIABLE FOR INFRINGEMENTS OF THIRD PARTIES RIGHTS BASED ON THIS SOFTWARE.  ANY
### *** # EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
### *** # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
### *** # DISCLAIMED.  IBM DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THIS
### *** # SOFTWARE WILL MEET THE USER'S REQUIREMENTS OR THAT THE OPERATION OF IT WILL
### *** # BE UNINTERRUPTED OR ERROR-FREE.  IN NO EVENT, UNLESS REQUIRED BY APPLICABLE
### *** # LAW, SHALL IBM BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
### *** # EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
### *** # PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
### *** # OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
### *** # WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
### *** # OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
### *** # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  ALSO, IBM IS UNDER NO OBLIGATION
### *** # TO MAINTAIN, CORRECT, UPDATE, CHANGE, MODIFY, OR OTHERWISE SUPPORT THIS
### *** # SOFTWARE.
### *** 
### *** 
### *** # use the service factory for the IBM Multi Functional Card
### *** OpenCard.services = com.ibm.opencard.factory.MFCCardServiceFactory \
### ***                     opencard.opt.util.PassThruCardServiceFactory
### *** 
### *** # use IBM's card terminal 5948 B2
### *** # The IBM terminal implementation is currently not operational,
### *** # fall back to PC/SC migration terminal implementation
### *** # OpenCard.terminals = com.gemplus.opencard.terminal.GemplusCardTerminalFactory|MyGCR|GCR410|USB1 \
### *** #                      com.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_430|GemPC430|SHARED
### *** OpenCard.terminals = com.gemplus.opencard.terminal.GemplusCardTerminalFactory|MyGCR|GCR410|USB1 \
### ***                      com.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_430|GemPC430|SHARED
### *** 
### *** #######################
### *** # TRACE configuration #
### *** #######################
### *** OpenCard.trace = opencard:6 com.ibm:6 tests.system:6
### *** 
### *** ###############################################################################


### *** ############################################################################
### *** # Copyright (c) 1998-1999 GEMPLUS group. All Rights Reserved.              #
### *** #--------------------------------------------------------------------------#
### *** # GemXpresso RAD 211 Environment                                           #
### *** #                                                                          #
### *** # An OCF configuration file to use Simulator CardTerminal and CardService. #
### *** #                                                                          #
### *** ############################################################################
### *** 
### *** 
### *** ###############################
### *** # - Services configuration - #
### *** ###############################
### *** # OpenCard.services = \
### *** #   opencard.opt.util.PassThruCardServiceFactory \
### *** #   com.gemplus.opencard.service.op.vop.vop211.CardServiceVOP211Factory \
### *** #   com.gemplus.opencard.service.gse.GSECardServiceFactory
### *** #   com.ibm.opencard.factory.MFCCardServiceFactory
### *** 
### *** 
### *** ###############################
### *** # - Terminals configuration - #
### *** ###############################
### *** OpenCard.terminals = \
### ***   com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory
### *** #   com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_430|GemPC430|SHARED \
### *** #   com.gemplus.opencard.terminal.pcsc10.GemplusCardTerminalFactory|MyGCR430_2|GemPC430|SHARED
### *** 
### *** # Other possible values:
### *** #  com.gemplus.opencard.terminal.GemplusCardTerminalFactory|gempc410_com2|GemPC410|COM2
### *** #  com.gemplus.opencard.terminal.GemplusCardTerminalFactory|gempc410_com2|GemPC410|COM2 \
### *** #  com.gemplus.opencard.terminal.GemplusCardTerminalFactory|my_gcr_410P|GCR410P|COM2
### *** #  com.gemplus.opencard.terminal.GemplusCardTerminalFactory|MyGCR|GCR410|SHARED \
### *** #  com.gemplus.opencard.terminal.GemplusCardTerminalFactory|MyGCR|GCR410|USB1 \
### *** #  com.gemplus.opencard.terminal.GemplusRadCardTerminalFactory|Simulator|SOCKETJC21SIMULATOR|127.0.0.1:5000 \
### *** #  com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory
### *** #  com.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_430|GemPC430|SHARED \
### *** 
### *** 
### *** #///////////////////////////////////////////////////////////////////////////
### *** //
### *** #  _                _     _   __
### *** # |_ \/  /\  |\ /| |_)|  |_  (_
### *** # |_ /\ /--\ |   | |  |_ |_  __)
### *** # configurations for Gemplus Readers
### *** #
### *** #///////////////////////////////////////////////////////////////////////////
### *** //
### *** #
### *** # 0-Using socket Simulator (Gemplus Simulator Environment)
### *** # --------------------------------------------------------
### *** # This combine a reader and a card, all in one simulator, accessible via a
### *** # socket. The GemXpresso RAD III provides a particular OCF driver for such with
### *** # the following configuration syntax:
### *** # com.gemplus.opencard.terminal.GemplusRadCardTerminalFactory|<Sbn>|<ST>|<AD>
### *** # where:
### *** # <Sbn> is a zero spaced string that is displayed in the JCARDMANAGER
### *** # terminal selection list box (symbolic name). Default config is
### *** # "Simulator" word.
### *** #
### *** # <ST> is the socket driver type: currently only SOCKETJC21SIMULATOR
### *** #
### *** # <AD> The IP address and port of the running simulator: default is
### *** # local machine on port 5000 : 127.0.0.1:5000
### *** # Note : if you change the simulator port within the GSE_GUI tool
### *** # you need to add the corresponding line with matching port here!
### *** #
### *** # 1-Using the PC/SC wrapper
### *** # -------------------------
### *** # com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|<Sbn>|<Psn>|<Sh>
### *** # where
### *** # <Sbn> is a zero spaced string that is displayed in the JCARDMANAGER
### *** # terminal selection list box (symbolic name)
### *** #
### *** # <Psn> is the name extracted from the string returned by the PC/SC
### *** # service. This string has the following syntax:
### *** # "<CARD_MANUFACTURER> <Psn> <POSITION>"
### *** # Note that <CARD_MANUFACTURER> must be exactly one word,
### *** # <POSITION> is either 0..255
### *** # !!! <Psn> is case sensitive!!!
### *** #
### *** # <Sh> is either SHARED or EXLCUSIVE keywords (any other is
### *** # considered as SHARED)
### *** #
### *** # Note1: if your none Gemplus PC/SC reader does not return a correct string
### *** # change the name within registry database. Please have a look in
### *** # <RAD_HOME>/readme.txt at =A72.8
### *** #
### *** # Note2: if you don't know the reader name, a generic solution can be used by
### *** # using empty arguments for <Sbn> <Psn> <Sh> and pipes removed. The
### *** # available reader will be automaticaly detected.
### *** #
### *** # Here are gemplus common readers configurations with PC/SC
### *** # ________________________________________________________________________________________________________________
### *** # : Reader Name : Port : config to paste in your OpenCard.terminals property :
### *** # :_____________:__________:_______________________________________________________________________________________:
### *** # : GCR 430  : USB     : com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_430|GemPC430|SHARED :
### *** # : GCR 410P : SERIAL  : com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gcr_410P|GCR410P|SHARED :
### *** # : GPR 400  : PCMCIA  : com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory|my_gpr_400|GPR400|SHARED :
### *** # : UNKNOWN  : UNKNOWN : com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory :
### *** # :________________________________________________________________________________________________________________:
### *** #
### *** # 2-Using the OCF Readers
### *** # -----------------------
### *** #
### *** # com.gemplus.opencard.terminal.GemplusCardTerminalFactory|<Sbn>|<Rn>|<PORT>
### *** # where:
### *** # <Sbn> is a zero spaced string that is displayed in the JCARDMANAGER
### *** # terminal selection list box (symbolic name)
### *** #
### *** # <PORT> for Windows users is either COM1 COM2 COM3 COM4 LPT1 LPT2
### *** # for Linux users is /dev/ttyS0 /dev/ttyS1 ...
### *** # for Solaris users is /dev/term/a /dev/term/b ...
### *** #
### *** #
### *** # <Rn> is the Gemplus reader name and is one of following list:
### *** # EPAD500
### *** # EPAD500-MS0
### *** # EPAD500-MS2
### *** # GCR400
### *** # GCR410
### *** # GCR410P
### *** # GCR500
### *** # GCR500-ECM
### *** # GCR500-MS0
### *** # GCR500-MS2
### *** # GCR500-MS4
### *** # GCR700
### *** # GCR700-MUB
### *** # GCR700-MS0
### *** # GCR700-MS2
### *** # GCR700-MS4
### *** # GCR800
### *** # GCR800-MS0
### *** # GCR800-MS2
### *** # GCR800-MS4
### *** # GCI400
### *** # GCI410
### *** # GCI500
### *** # GCI500-MS0
### *** # GCI500-MS2
### *** # GCI500-MS4
### *** # GCI400-MS0
### *** # GemPC410
### *** # GemSelf500
### *** # GemSelf500-ECM
### *** # GemSelf500-MS0
### *** # GemSelf500-MS2
### *** # GemSelf500-MS4
### *** # GemSelf700
### *** # GemSelf700-MUB
### *** # GemSelf700-MS0
### *** # GemSelf700-MS2
### *** # GemSelf700-MS4
### *** # GemSelf800
### *** # GemSelf800-MS0
### *** # GemSelf800-MS2
### *** # GemSelf800-MS4
### *** # GemPC430
### *** # GemSelf430
### *** # GCR415
### *** #
### *** # Here are gemplus common readers configurations with OCF
### *** # _______________________________________________________________________________________________________________
### *** # : Reader Name : Port : config to paste in your OpenCard.terminals property :
### *** # :_____________:_________:_______________________________________________________________________________________:
### *** # : GCR 410  : COM1 : com.gemplus.opencard.terminal.GemplusCardTerminalFactory|my_gcr_410|GCR410|COM1 :
### *** # : GCR 410P : COM2 : com.gemplus.opencard.terminal.GemplusCardTerminalFactory|my_gcr_410P|GCR410P|COM2 :
### *** # : and an alternative : com.gemplus.opencard.terminal.GemplusCardTerminalFactory|my_gcr_410P|GemPC410|COM2 :
### *** # : GCR 500  : COM1 : com.gemplus.opencard.terminal.GemplusCardTerminalFactory|my_gcr_500|GCR500|COM1 :
### *** # : GRC 500  : COM1 :                                                                                 :
### *** # : Security module 1 : com.gemplus.opencard.terminal.GemplusCardTerminalFactory|my_gcr_500|GCR500-MS0|COM1 :
### *** # :_______________________________________________________________________________________________________________:
### *** 
### *** 
### *** #/////////////////////////////////////////////////////////////////////////////
### *** 
### *** 
### *** ####################################
### *** # - Only for Gemplus Card Terminal #
### *** #                                  #
### *** ####################################
### *** Uses_Standard_ISO_TPDU = false
### *** 
### *** 
### *** ###############################
### *** # - TRACE configuration - #
### *** ###############################
### *** 
### *** 
### *** #############################################################
### *** # - Do NOT remove entry com.gemplus.tools.gemxpresso.pilot:6,
### *** # it is necessary to obtain an APDU trace in the JCardManager.
### *** #############################################################
### *** OpenCard.trace.eventsOnly = false
### *** OpenCard.trace = \
### ***   com.gemplus.tools.gemxpresso.pilot:7 \
### ***   opencard:7 \
### ***   com.gemplus.opencard:7 \
### ***   com.gemplus.opencard.service.op:7 \
### ***   opencard:7 \
### ***   com.ibm:7 \
### ***   tests.system:7 \
### ***   com.gemplus.opencard.terminal.GemplusCardTerminal:7 \
### ***   OCFGenKey:7 \
### ***   ReadFile:7
### ***   com.ibm.opencard.terminal.pcsc10:7 \
### ***   com.ibm.opencard.terminal.pcsc10.OCFPCSC1:7 \
### ***   com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory:7

